M芯片 mac配置Vulkan环境报错 Xcode

这篇具有很好参考价值的文章主要介绍了M芯片 mac配置Vulkan环境报错 Xcode。希望对大家有所帮助。如果存在错误或未考虑完全的地方,请大家不吝赐教,您也可以点击"举报违法"按钮提交疑问。

  1. 报错:
    Ignoring file ‘/usr/local/Cellar/glfw/3.3.4/lib/libglfw.3.3.dylib’: found architecture ‘x86_64’, required architecture ‘arm64’
    Undefined symbols:
    Linker command failed with exit code 1 (use -v to see invocation)
    解决:
  2. 重新安装brew reinstall glfw(检查是不是arm64)
  3. Library Search Paths /usr/local/lib改成/opt/homebrew/lib
  4. header Search Paths /usr/local/include改成/opt/homebrew/include
  5. Link Binary With Libraries记得也替换成arm64的glfw
  6. copy file也记得改

文章来源地址https://www.toymoban.com/news/detail-844102.html

到了这里,关于M芯片 mac配置Vulkan环境报错 Xcode的文章就介绍完了。如果您还想了解更多内容,请在右上角搜索TOY模板网以前的文章或继续浏览下面的相关文章,希望大家以后多多支持TOY模板网!

本文来自互联网用户投稿,该文观点仅代表作者本人,不代表本站立场。本站仅提供信息存储空间服务,不拥有所有权,不承担相关法律责任。如若转载,请注明出处: 如若内容造成侵权/违法违规/事实不符,请点击违法举报进行投诉反馈,一经查实,立即删除!

领支付宝红包 赞助服务器费用

相关文章

  • Mac M1/M2/M3 芯片环境配置以及常用软件安装-前端

    最近换了台新 Mac ,所有的配置和软件就重新安装下,顺便写个文章。 1. 安装 Homebrew 安装 Homebrew 【 Mac 安装 Homebrew 】 通过国内镜像安装会比较快 安装 Git 后再运行此脚本,在系统弹窗中点击“安装”按钮 点击安装按钮,安装 Git 之后在重新运行此命令,即可安装 Homebrew 可以

    2024年02月04日
    浏览(19)
  • 在 Windows 系统上配置 Visual Studio 的 Vulkan 开发环境

    Vulkan Tutorial https://vulkan-tutorial.com/ Development environment - Windows https://vulkan-tutorial.com/Development_environment https://www.vulkan.org/ Vulkan is a new generation graphics and compute API that provides high-efficiency, cross-platform access to modern graphics processing units (GPUs), which are used in a wide variety of devices from PCs and

    2024年02月09日
    浏览(22)
  • 【MacOS】装 mac-win10 双系统(2017年的老mac,Intel芯片)

    昨天给学妹的mac装软件。发现之前她找维修店装了双系统,但是win10根本不能用,搞得乱七八糟的,于是我给她重新装了一下。 电脑状况: MacBook Air 2017; 128G+8G,有2个分区(有问题); Intel i5; MacOS Monterey(12.xx)系统; 装了mac和win10,win10不能用。 Mac装双系统基本要求与思

    2024年02月07日
    浏览(9)
  • 【macOS】mac电脑M2芯片安装Homebrew 最简单的方法

    一 Homebrew的安装 打开终端,复制如下命令,按回车执行 M芯片和Intel芯片均可 中途可能需要你手动输入密码,输入完成回车即可(密码不可见 选择中科大或者清华镜像源 有些同学可能会弹出安装git的提示,点击安装等待即可 安装完成之后重新执行上面的Homebrew安装命令 这时

    2024年02月03日
    浏览(16)
  • 【环境搭建】MacOS系统M1芯片从零开始安装torch torch-geometric(PyG) torch-sparse torch-scatter步骤详解、配置图神经网络(GNN)训练环境教程

    前言:实际上只装PyTorch或者torch不会遇到什么问题,但是torch-geometric、torch-scatter、torch-sparse在M1 chip的Mac上非常难安装( PyG DocumentationInstallation 里注明了“Conda packages are currently not available for M1/M2/M3 macs”)。博主试错过程中遇到了很多无解的bug,还把conda搞炸了,最终不得不

    2024年02月02日
    浏览(9)
  • MAC(适用于M1,M2芯片)下载Java8(官方 ARM64 JDK1.8)安装、配置环境,支持动态切换JDK

    官方下载地址 https://www.oracle.com/cn/java/technologies/downloads/ 这个是官方新发布的适配了M1、M2芯片的ARM64版本的jdk8,再也不用去第三方下载了,也不用满世界的去找第三方jdk缺少的jar包了,而且更快更强!! 可以下载免安装版, 这样就可以配置多个版本的jdk了,配置如下 使配置

    2024年02月08日
    浏览(16)
  • mujoco相关环境在MacOs Arm芯片下的安装

    借鉴了Macbook M1 安装 mujoco 和 mujoco-py - KylinChen | Blog ,并补充了一些安装中的细节与错误fix办法 我的环境:Macbook M2 pro; Mac OS 14.1.1 (23B81); python==3.8.18 这里主要讲按照上文安装时出现的问题与解决办法,并假设gym已经装了。 1. 安装homebrew  没什么问题 2. 安装miniforge 没什么问题

    2024年01月23日
    浏览(11)
  • M2 Mac Xcode编译报错 ‘***.framework/‘ for architecture arm64

    In /Users/fly/Project/Pods/YYKit/Vendor/WebP.framework/WebP(anim_decode.o), building for iOS Simulator, but linking in object file built for iOS, file \\\'/Users/fly/Project/Pods/YYKit/Vendor/WebP.framework/WebP\\\' for architecture arm64 这是我当时编译模拟器时报的错 1、在 Build Settings 里面先设置EXCLUDED_ARCHS,设置Any iOS Simulator SDK 

    2024年02月04日
    浏览(21)
  • 关于macOS系统M1芯片安装node-sass报错的解决方案

    最近更换macOS系统,pull项目后安装依赖时报错: 参考 M1芯片 安装node-sass报错 这篇文章后 ,得知原因是: node与node-sass版本不匹配 。代码的node-sass是v4.14.1版本(需要node15以下的版本),而我的node 是 v14(但M1芯片仅兼容node v15.3.0 以上,因为低版本的 node 并不是基于 arm64 架构

    2023年04月26日
    浏览(12)

觉得文章有用就打赏一下文章作者

支付宝扫一扫打赏

博客赞助

微信扫一扫打赏

请作者喝杯咖啡吧~博客赞助

支付宝扫一扫领取红包,优惠每天领

二维码1

领取红包

二维码2

领红包